Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview
Class InfoIFormModel

    java.lang.Object
      ix.iface.ui.AbstractIFormModel
          ix.iview.InfoIFormModel

All Implemented Interfaces:
  DataChangeListener, IFormModel

    public class InfoIFormModel

extends AbstractIFormModel

An default model to be used to fill an IFormPanel.

Field Summary

Fields inherited from class ix.iface.ui.AbstractIFormModel
`baseObject, baseObjectClass, dataListeners, displayFields, fieldClasses, fieldNames, isUpdating, listeners, nameFields, settingData`

Constructor Summary
`InfoIFormModel(AbstractIObject object)`

Method Summary
`protected java.lang.Class` | `deriveClass(java.lang.String field)`
`protected void` | `deriveClasses(java.util.List fields)` Derives the classes of the given fields and puts them into HashMap fieldClasses.
`protected java.util.List` | `deriveDisplayFields()` Derives the fields to be used for displaying the object information
`protected java.lang.String` | `deriveName(java.lang.String field)`
`protected java.util.List` | `deriveNameFields()` Derives the fields to be used for displaying the object name(s)
`protected void` | `deriveNames(java.util.List fields)` Derives the names of the given fields and puts them into HashMap fieldNames.
`void` | `setFields()` Derives the name fields, display fields and the field names and classes.
`void` | `setGenericFields()`
`protected boolean` | `useField(java.lang.reflect.Field field)`

Methods inherited from class ix.iface.ui.AbstractIFormModel
`addDataListener, addIfField, addModelListener, clearData, dataChanged, dataChanged, deriveClasses, deriveNames, endUpdate, fireDataChanged, fireModelChanged, fireModelChanged, getDataListeners, getDisplayClasses, getDisplayFields, getDisplayNames, getFieldClass, getFieldName, getFieldWeight, getModelListeners, getNameClasses, getNameFields, getNameNames, getObject, getObjectClass, getValue, getValue, ignoreUpdate, isEditable, isFieldShowing, lookupFieldClasses, lookupFieldNames, setDisplayFields, setDisplayFields, setNameFields, setNameFields, setObject, setObjectClass, setValue, setValue, startUpdate, stringToField`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoIFormModel

    public InfoIFormModel(AbstractIObject object)

Method Detail

### setFields

    public void setFields()

  Description copied from class: `AbstractIFormModel`
  Derives the name fields, display fields and the field names and classes.

  Overrides:
    `setFields` in class `AbstractIFormModel`

### setGenericFields

    public void setGenericFields()

### deriveNames

    protected void deriveNames(java.util.List fields)

  Description copied from class: `AbstractIFormModel`
  Derives the names of the given fields and puts them into HashMap fieldNames.

  Specified by:
    `deriveNames` in class `AbstractIFormModel`

### deriveName

    protected java.lang.String deriveName(java.lang.String field)

### deriveClasses

    protected void deriveClasses(java.util.List fields)

  Description copied from class: `AbstractIFormModel`
  Derives the classes of the given fields and puts them into HashMap fieldClasses.

  Specified by:
    `deriveClasses` in class `AbstractIFormModel`

### deriveClass

    protected java.lang.Class deriveClass(java.lang.String field)

### deriveNameFields

    protected java.util.List deriveNameFields()

  Description copied from class: `AbstractIFormModel`
  Derives the fields to be used for displaying the object name(s)

  Specified by:
    `deriveNameFields` in class `AbstractIFormModel`

### deriveDisplayFields

    protected java.util.List deriveDisplayFields()

  Description copied from class: `AbstractIFormModel`
  Derives the fields to be used for displaying the object information

  Specified by:
    `deriveDisplayFields` in class `AbstractIFormModel`

### useField

    protected boolean useField(java.lang.reflect.Field field)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD